<div>
  <h2 id="page-heading" data-cy="ImovelHeading">
    <span jhiTranslate="madmApp.imovel.home.title">Imovels</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info mr-2" (click)="loadAll()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="madmApp.imovel.home.refreshListLabel">Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-imovel"
        [routerLink]="['/imovel/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="madmApp.imovel.home.createLabel"> Create a new Imovel </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="imovels?.length === 0">
    <span jhiTranslate="madmApp.imovel.home.notFound">No imovels found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="imovels && imovels.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr>
          <th scope="col"><span jhiTranslate="global.field.id">ID</span></th>
          <th scope="col"><span jhiTranslate="madmApp.imovel.codImovel">Cod Imovel</span></th>
          <th scope="col"><span jhiTranslate="madmApp.imovel.documentoProprietario">Documento Proprietario</span></th>
          <th scope="col"><span jhiTranslate="madmApp.imovel.tipoImovel">Tipo Imovel</span></th>
          <th scope="col"><span jhiTranslate="madmApp.imovel.endereco">Endereco</span></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let imovel of imovels; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/imovel', imovel.id, 'view']">{{ imovel.id }}</a>
          </td>
          <td>{{ imovel.codImovel }}</td>
          <td>{{ imovel.documentoProprietario }}</td>
          <td jhiTranslate="{{ 'madmApp.TipoImovel.' + imovel.tipoImovel }}">{{ imovel.tipoImovel }}</td>
          <td>
            <div *ngIf="imovel.endereco">
              <a [routerLink]="['/endereco', imovel.endereco?.id, 'view']">{{ imovel.endereco?.id }}</a>
            </div>
          </td>
          <td class="text-right">
            <div class="btn-group">
              <button type="submit" [routerLink]="['/imovel', imovel.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
              </button>

              <button type="submit" [routerLink]="['/imovel', imovel.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(imovel)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
